OpenVDB 12.1.0

Loading...
Searching...
No Matches
ArgumentIterator< SignatureT, 0 > Struct Template Reference

`#include <openvdb_ax/codegen/FunctionTypes.h>`

## Public Types
using | ArgT
using | ArgumentValueType

## Static Public Member Functions
template<typename OpT>
static void | apply (const OpT &, const bool)

## Static Public Attributes
static const bool | IsNativeSignature = true

## Member Typedef Documentation

## ◆ ArgT

using ArgT

## ◆ ArgumentValueType

using ArgumentValueType

## Member Function Documentation

## ◆ apply()

template<typename SignatureT>
template<typename OpT>

void apply | ( | const OpT & | ,
|  | const bool | )
| inline static

## Member Data Documentation

## ◆ IsNativeSignature

template<typename SignatureT>

const bool IsNativeSignature = true
| static